Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class AlterIfsCredentialManager

    java.lang.Object
      oracle.ifs.utils.action.AbstractAction
          oracle.ifs.admin.actions.JDBCAction
              oracle.ifs.admin.upgrade.common.CreateDatabaseObjectsAction
                  oracle.ifs.server.AlterIfsCredentialManager

All Implemented Interfaces:
  Action, IfsParameters

    public class AlterIfsCredentialManager

extends CreateDatabaseObjectsAction

A AlterIfsCredentialManager is an upgrade action used to modify the IFS Credential Manager schema.

This action runs as the SYS user. First used in 9.0.4.2.0 --> 9.0.4.6.0

(Unpublished)

Nested Class Summary
`static class` | `AlterIfsCredentialManager.EntryInfo` Represents info for an entry in IfsCM.

Field Summary

Fields inherited from class oracle.ifs.admin.actions.JDBCAction
`NOLOG`

Fields inherited from class oracle.ifs.utils.action.AbstractAction
`CONTINUE_ON_ERROR, m_defaultOptions, m_options`

Fields inherited from interface oracle.ifs.utils.common.IfsParameters
`APPEND_LOG, DATABASE_URL, DB_USER_NAME, DB_USER_PASSWORD, DOMAIN_TYPE, ENABLE_SSL_SUPPORT, FOR_SCHEMA_UPGRADE, IFS_DOMAIN_DISPLAY_NAME, IFS_DOMAIN_NAME, IFS_SCHEMA_NAME, IFS_SCHEMA_PASSWORD, IFS_SERVICE_NAME, IFS_USER_NAME, IFS_USER_PASSWORD, INCLUDE_PATH, INITIAL_CONTEXT_FACTORY, LDAP_URL_DAS_LOOKUP, LDAP_USER_NAME, LDAP_USER_PASSWORD, OUTPUT_FILE, PARAMETER_FILE, REGISTRY, SCHEMA_VERSION_KEY, SECURITY_PROTOCOL_NAME, SERVICE_CONFIGURATION_NAME`

Constructor Summary
`AlterIfsCredentialManager()`

Method Summary
`void` | `addColumnIfNecessary(java.sql.Connection conn, java.lang.String tableName, java.lang.String columnName, java.lang.String rdbmsDataType)` Alter the specified table to add a new column.
`void` | `execute(java.sql.Connection conn)` Execute the action.

Methods inherited from class oracle.ifs.admin.upgrade.common.CreateDatabaseObjectsAction
`analyze, analyzeTable, closeResultSet, closeStatement, columnExists, commit, createIndex, createIndex, createIndex, createIndex, createIndex, createIndex, createSequence, createTable, createView, dropIndex, dropSequence, dropTable, dropView, executeStatement, executeUpdate, failed, getNextSequenceValue, getSchemaName, getTimestamp, isValidConnection, log, log, printStackTrace, rollback, rowExists, rowExists, stop, tableExists`

Methods inherited from class oracle.ifs.admin.actions.JDBCAction
`perform, setDatabaseUrl, setPassword, setUser`

Methods inherited from class oracle.ifs.utils.action.AbstractAction
`getDescription, getName, getValue, isContinueOnError, putValue, setDefaultOptions, setDescription, setName, setOptions`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AlterIfsCredentialManager

    public AlterIfsCredentialManager()

Method Detail

### execute

    public void execute(java.sql.Connection conn)
                 throws java.sql.SQLException,
                        ActionFailedException

  Description copied from class: `AlterIfsCredentialManager`
  Execute the action.

  Specified by:
    `execute` in class `JDBCAction`
  Parameters:
    `conn` - database connection.
  Throws:
    `java.sql.SQLException` - if the operation fails
    `ActionFailedException` - if the operation fails

### addColumnIfNecessary

    public void addColumnIfNecessary(java.sql.Connection conn,
                                     java.lang.String tableName,
                                     java.lang.String columnName,
                                     java.lang.String rdbmsDataType)
                              throws java.sql.SQLException

  Description copied from class: `AlterIfsCredentialManager`
  Alter the specified table to add a new column.

  Parameters:
    `conn` - database connection
    `tableName` - the table name for the classobject involved
    `columnName` - the name of the new column to add
    `rdbmsDataType` - the DBMS data type string (e.g. "NUMBER(20)" )
  Throws:
    `java.sql.SQLException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD